• Register Today It's free! This box and some ads will disappear once registered!

A faster, simpler, better myford touch is here - MFT Update

FordIVTteam

Official Ford Rep
Joined
July 13, 2011
Messages
1,690
Reaction score
1
City, State
Dearborn, MI
Year, Model & Trim Level
Ford Explorer
I have the latest version. 3.08.15128.EA.10_PRODUCT

It was so random and came at the worst time. I was using navigation to get to a business appointment and the down time before booting back up messed up my schedule.

Another reason for why I dislike SYNC 2.

Hey scoutexplorer,

Since you have the latest software version, I recommend performing a master reset: http://owner.ford.com/how-tos/sync-...erform-a-master-reset.html?sync=my-ford-touch. If the reset doesn't resolve the issue, then you'll have to make a visit to your local Ford dealership.

Cara
 


Join the Elite Explorers for $20 per year. Gets rid of the ads! New $5 per month "try out" option.

Explorer Forum has probably saved you that much already, and will continue to save you money as you learn how to diagnose fix problems yourself and learn which modifications work without having to experiment on your own. Elite Explorer members see no advertisements, no banner ads, no double underlined links, can add their own profile photo, upload photo attachments in all forums, and Media Gallery, create and save more private Conversations, and more. Join Today. Your support is greatly appreciated.




el_georgie

New Member
Joined
June 13, 2012
Messages
5
Reaction score
0
City, State
Florida
Year, Model & Trim Level
2011 Explorer XLT
Today I replaced my dead APIM with a used but newer APIM. But when I go on mysync it doesnt show an update because still thinks I have the old APIM. The current version on the replacement is 4.29.12285 where the previous one was ver 3. My Explorer is 2011 and the replacement APIM came from a 2013. Can I get sync update direct download links from somewhere or can someone share the software update? Thanks.
 




peterk9

Staff member
Moderator
Elite Explorer
Joined
December 28, 2010
Messages
30,002
Reaction score
2,064
City, State
Russell, Ontario (Ottawa area)
Year, Model & Trim Level
2020 Aviator Reserve
Callsign
VE3
Today I replaced my dead APIM with a used but newer APIM. But when I go on mysync it doesnt show an update because still thinks I have the old APIM. The current version on the replacement is 4.29.12285 where the previous one was ver 3. My Explorer is 2011 and the replacement APIM came from a 2013. Can I get sync update direct download links from somewhere or can someone share the software update? Thanks.
The dealer can perform updates. They are normally free but in this case I don't know if there will be a charge.

Peter
 




RedDen

Well-Known Member
Joined
March 14, 2012
Messages
506
Reaction score
15
City, State
Calgary
Year, Model & Trim Level
2012 Explorer Limited
Today I replaced my dead APIM with a used but newer APIM. But when I go on mysync it doesnt show an update because still thinks I have the old APIM. The current version on the replacement is 4.29.12285 where the previous one was ver 3. My Explorer is 2011 and the replacement APIM came from a 2013. Can I get sync update direct download links from somewhere or can someone share the software update? Thanks.

I have 3.6.2 (build 13171), 3.7.1 (build 14122) and 3.8 (build 15128).
Let me know which one you want.
 




RedDen

Well-Known Member
Joined
March 14, 2012
Messages
506
Reaction score
15
City, State
Calgary
Year, Model & Trim Level
2012 Explorer Limited
A dealer in Russia has recently installed SYNC 3.10.16180.EA.0_PRODUCT on to customer's 12MY Explorer. May be it is promised 3.9?
FYI, latest 3.8 is 3.08.15128
checked SMR - nothing...
 




jmr061

Explorer Addict
Joined
August 24, 2014
Messages
1,936
Reaction score
160
City, State
Wisconsin
Year, Model & Trim Level
16 Exp Sport
Correct 3.10 is available only as dealer upgrade at this point. What it does exactly....don't know. The release notes are the same as 3.8 thus far.
 




RedDen

Well-Known Member
Joined
March 14, 2012
Messages
506
Reaction score
15
City, State
Calgary
Year, Model & Trim Level
2012 Explorer Limited
Correct 3.10 is available only as dealer upgrade at this point. What it does exactly....don't know. The release notes are the same as 3.8 thus far.
Nav app version seems to be updated to 5.67.6 from 4.66.5
 




Sgt1411

Elite Explorer
Joined
February 22, 2011
Messages
4,386
Reaction score
371
City, State
VanBC/GoodyearAZ
Year, Model & Trim Level
2021 Explorer ST
Callsign
PRINCE51
Today I replaced my dead APIM with a used but newer APIM. But when I go on mysync it doesnt show an update because still thinks I have the old APIM. The current version on the replacement is 4.29.12285 where the previous one was ver 3. My Explorer is 2011 and the replacement APIM came from a 2013. Can I get sync update direct download links from somewhere or can someone share the software update? Thanks.

I thought even 2011 Explorers had the extra 5 year MFT warranty?

If not you likely need to log onto Ford Owners Website and put in the VIN from the 2013 Explorer you got the APIM from. In order to keep the software to match the newer APIM you need to fake that you own the 2013 Explorer.

Unless there is a work around, perhaps jmr061 would know.
 




Lewisra

Well-Known Member
Joined
December 14, 2013
Messages
683
Reaction score
14
City, State
Howell, mi
Year, Model & Trim Level
2017 explorer limited
I thought even 2011 Explorers had the extra 5 year MFT warranty?

If not you likely need to log onto Ford Owners Website and put in the VIN from the 2013 Explorer you got the APIM from. In order to keep the software to match the newer APIM you need to fake that you own the 2013 Explorer.

Unless there is a work around, perhaps jmr061 would know.
That's an old post.
 




GrumpyOne

Member
Joined
August 14, 2016
Messages
14
Reaction score
3
City, State
No. VI, MI
Year, Model & Trim Level
2014 Explorer Sport
Correct 3.10 is available only as dealer upgrade at this point. What it does exactly....don't know. The release notes are the same as 3.8 thus far.

Hmmm, my Explorer just happens to be at the dealer today for service. I'll see if they'll apply the update.

-jw
 




Atomikk

Member
Joined
October 28, 2015
Messages
26
Reaction score
3
City, State
Indianapolis, IN
Year, Model & Trim Level
2015 Explorer Limited
A dealer in Russia has recently installed SYNC 3.10.16180.EA.0_PRODUCT on to customer's 12MY Explorer. May be it is promised 3.9?
FYI, latest 3.8 is 3.08.15128
checked SMR - nothing...
Wait... There is a 3.9 promised?! Any other details? (If this is true)
 




RedDen

Well-Known Member
Joined
March 14, 2012
Messages
506
Reaction score
15
City, State
Calgary
Year, Model & Trim Level
2012 Explorer Limited




Atomikk

Member
Joined
October 28, 2015
Messages
26
Reaction score
3
City, State
Indianapolis, IN
Year, Model & Trim Level
2015 Explorer Limited
Hmmm, my Explorer just happens to be at the dealer today for service. I'll see if they'll apply the update.

-jw

Hello GrumpyO...
Just wondering if you were able to get that 3.9 update?

Russ
 




GrumpyOne

Member
Joined
August 14, 2016
Messages
14
Reaction score
3
City, State
No. VI, MI
Year, Model & Trim Level
2014 Explorer Sport
Hello GrumpyOne...
Just wondering if you were able to get that 3.9 update?

Russ

Nope, not yet. They had to order a part for a different issue. But they'll update my MFT to v3.10 when I take it back next Thursday. I'll follow up here once it's installed.

-jw
 




Atomikk

Member
Joined
October 28, 2015
Messages
26
Reaction score
3
City, State
Indianapolis, IN
Year, Model & Trim Level
2015 Explorer Limited
Nope, not yet. They had to order a part for a different issue. But they'll update my MFT to v3.10 when I take it back next Thursday. I'll follow up here once it's installed.

-jw[/QUOT

Cool. Thanks!
Can't wait to hear if there's something major with this update.
 




peterk9

Staff member
Moderator
Elite Explorer
Joined
December 28, 2010
Messages
30,002
Reaction score
2,064
City, State
Russell, Ontario (Ottawa area)
Year, Model & Trim Level
2020 Aviator Reserve
Callsign
VE3
My reply to above post by Atomikk;
see post 806
 








peterk9

Staff member
Moderator
Elite Explorer
Joined
December 28, 2010
Messages
30,002
Reaction score
2,064
City, State
Russell, Ontario (Ottawa area)
Year, Model & Trim Level
2020 Aviator Reserve
Callsign
VE3
Gordoscookin, not sure about your post. Are you asking or telling us something?? You simply copied a quote from almost 7 months ago.

Peter
 




GrumpyOne

Member
Joined
August 14, 2016
Messages
14
Reaction score
3
City, State
No. VI, MI
Year, Model & Trim Level
2014 Explorer Sport
I struck out at having the dealer update my Sync2 system to v3.10.
It shows as available in PTS but would not allow him to apply the update. Not sure why.

-jw
 


Join the Elite Explorers for $20 per year. Gets rid of the ads! New $5 per month "try out" option.

Explorer Forum has probably saved you that much already, and will continue to save you money as you learn how to diagnose fix problems yourself and learn which modifications work without having to experiment on your own. Elite Explorer members see no advertisements, no banner ads, no double underlined links, can add their own profile photo, upload photo attachments in all forums, and Media Gallery, create and save more private Conversations, and more. Join Today. Your support is greatly appreciated.




Gordoscookin

New Member
Joined
July 30, 2012
Messages
7
Reaction score
0
City, State
Massachusetts
Year, Model & Trim Level
2012 Explorer Limited
I had them try to update 3 times at the dealer 2 weeks ago. They said it fried my APIM. They ordered a new APIM and after 2 attempts and 6 hours of waiting, they were successful. Everything is good again and my IPhone 7+ works great!
 




Top